- Qt 5.15
- Qt Widgets
- C++ Classes
- QStyleOptionComboBox
- Qt 5.15.18 Reference Documentation

# QStyleOptionComboBox Class

The QStyleOptionComboBox class is used to describe the parameter for drawing a combobox. More...

Header: | #include <QStyleOptionComboBox>
qmake: | QT += widgets
Inherits: | QStyleOptionComplex

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionComboBox(const QStyleOptionComboBox &other)
| QStyleOptionComboBox()

## Public Variables

QIcon | currentIcon
QString | currentText
bool | editable
bool | frame
QSize | iconSize
QRect | popupRect

## Detailed Description

QStyleOptionButton contains all the information that QStyle functions need to draw QComboBox.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption, QStyleOptionComplex, and QComboBox.

## Member Type Documentation

### enum QStyleOptionComboBox::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionComboBox::Type` | `SO_ComboBox` | The type of style option provided (SO_ComboBox for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionComboBox::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionComboBox::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionComboBox::QStyleOptionComboBox(const QStyleOptionComboBox &other)

Constructs a copy of the other style option.

### QStyleOptionComboBox::QStyleOptionComboBox()

Creates a QStyleOptionComboBox, initializing the members variables to their default values.

## Member Variable Documentation

### QIcon QStyleOptionComboBox::currentIcon

This variable holds the icon for the current item of the combo box

The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

### QString QStyleOptionComboBox::currentText

This variable holds the text for the current item of the combo box

The default value is an empty string.

### bool QStyleOptionComboBox::editable

This variable holds whether or not the combobox is editable or not

the default value is false

See also QComboBox::isEditable().

### bool QStyleOptionComboBox::frame

This variable holds whether the combo box has a frame

The default value is true.

### QSize QStyleOptionComboBox::iconSize

This variable holds the icon size for the current item of the combo box

The default value is QSize(-1, -1), i.e. an invalid size.

### QRect QStyleOptionComboBox::popupRect

This variable holds the popup rectangle for the combobox

The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

This variable is currently unused. You can safely ignore it.

See also QStyle::SC_ComboBoxListBoxPopup.